Subject: bug#36250: [PATCH] Allow Emacs to be resized arbitrarily

From: martin rudalics <[email-masked]>
Date: Mon, 17 Jun 2019 10:22:22 +0200

> Of course, I'd still like to hear comments about the change and its
 > safety, as well as invite people to try this with their window
 > managers.

Window managers use size hints for two purposes:

(1) To provide feedback of the prospective size of the Emacs frame in
lines and columns displayed in a tooltip-like window whenever the user
drags a frame edge or border with the mouse.

(2) To effectively round the size of the Emacs frame to multiples of
lines and columns when dragging any of its borders or edges with the
mouse.

I suppose we cannot give up on these features given a strong minority
of Emacs users who prefer working with frame sizes where not a single
pixel gets wasted for showing anything but bare text.

martin